## org.apache.poi.util
Class IntMapper<T>

    java.lang.Object
      org.apache.poi.util.IntMapper<T>

    public class IntMapper<T>

extends java.lang.Object

A List of objects that are indexed AND keyed by an int; also allows for getting the index of a value in the list

I am happy is someone wants to re-implement this without using the internal list and hashmap. If so could you please make sure that you can add elements half way into the list and have the value-key mappings update

Author:
  Jason Height

Constructor Summary
`IntMapper()` create an IntMapper of default size
`IntMapper(int initialCapacity)`

Method Summary
`boolean` `add(T value)` Appends the specified element to the end of this list
`T` `get(int index)`
`int` `getIndex(T o)`
`java.util.Iterator<T>` `iterator()`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntMapper

    public IntMapper()

  create an IntMapper of default size

### IntMapper

    public IntMapper(int initialCapacity)

Method Detail

### add

    public boolean add(T value)

  Appends the specified element to the end of this list

  Parameters:
    `value` - element to be appended to this list.
  Returns:
    true (as per the general contract of the Collection.add method).

### size

    public int size()

### get

    public T get(int index)

### getIndex

    public int getIndex(T o)

### iterator

    public java.util.Iterator<T> iterator()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.